TheoLiveSource
public class TheoLiveSource : TypedSource
Source that points to a channel on theo.live
-
The amount of seconds from live that the player will aim for.
Remark
This property will override the target latency configured in THEOlive console. *Declaration
Swift
public let targetLatency: Double? -
The profile identifier is included as a query parameter in the discovery request to obtain a response specific to that profile.
Declaration
Swift
public let profile: String? -
WebRTC configuration for a THEOlive Millicast source.
Declaration
Swift
public let webrtc: WebrtcOptions? -
Creates a new typed source with a theo.live channel ID
Declaration
Swift
public init(channelId: String, headers: [String : String]? = nil, targetLatency: Double? = nil, drm: DRMConfiguration? = nil, profile: String? = nil, webrtc: WebrtcOptions? = nil)Parameters
channelIdThe ID of the theo.live channel This can be specified in three formats:
- A V1 channel ID, e.g.
'2jENbm22UH5PobDm0Dqjtmkrx2E' - A V2/V3 distribution ID, e.g.
'1f17631a-861d-42c2-9105-d97de0ab9c07' - A V3 organization ID and distribution name separated by a
/, e.g.'1f17631a-861d-42c2-9105-d97de0ab9c06/my-distribution'
headersThe HTTP request headers associated with the source.
targetLatencyThe live offset that the player will aim for.
drmThis optional property can be used to specify required DRM parameters for a playback source.
webrtcWebRTC configuration for a THEOlive Millicast source.
- A V1 channel ID, e.g.
-
Declaration
Swift
public convenience required init(from decoder: Decoder) throws